using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using ezBarcodeComponent.Winform;

namespace CrystalReportExample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void crystalReportViewer1_Load(object sender, EventArgs e)
        {

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            CrystalReport1 cr1 = new CrystalReport1();
            crystalReportViewer1.ReportSource = cr1;

            ezBarcodeComponent.Winform.Barcode barcode1 = new ezBarcodeComponent.Winform.Barcode();
            barcode1.Symbology = Symbologies.Code128;


            //Fill up the item table in the dataset with the adapter for db1DataSet 
            db1DataSetTableAdapters.ItemsTableAdapter ita = new db1DataSetTableAdapters.ItemsTableAdapter();
            db1DataSet.ItemsDataTable idt = new db1DataSet.ItemsDataTable();
            ita.Fill(idt);

            //Generate the binary barcode image and added to the DataField
            int rows = idt.Count;
            for (int i = 0; i < rows; i++)
            {
                MemoryStream stream = new MemoryStream();
                db1DataSet.ItemsRow ir = (db1DataSet.ItemsRow)idt.Rows[i];
                barcode1.CodeData = ir.Item.ToString();
                barcode1.Picture.Save(stream, System.Drawing.Imaging.ImageFormat.Bmp);
                ir.Barcode = stream.ToArray();

            }

            cr1.SetDataSource((DataTable)idt); 

        }
    }
}
